<?php

/*
 * Copyright (c) 2005, Bull S.A..  All rights reserved.
 * Created by: Sebastien Decugis

 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc., 59
 * Temple Place - Suite 330, Boston MA 02111-1307, USA.
 */


/* This file gives the full information for a testcase

Inputs: 
 -> database identification of the testcase (run_id + testcase_id)
 Inputs are passed through GET variables, i.e.:
  detailed.php?run_id=2&testcase_id=17
  
Outputs:
 -> html text only

*/
$root="";
require($root."database.inc.php");
require($root."functions.inc.php");

$_PAGE["title"]="Testcase Detail";

require($root."header.inc.php");


if (!isset($_GET["run_id"]) || (!isset($_GET["testcase_id"])))
	die("<p><b>Wrong parameter format.</b></p>\n</body></html>\n");

db_init();

/* We need to find this record in the database -- and get some more infos */
$sql = " SELECT res_log, res_status, run_name, run_comments, ver_name, ver_comment, "
       ."       descr_info, assert_text, rou_name, rou_comment "
       ." FROM opts_run, opts_run_results, opts_version_descriptions, "
       ."       opts_versions, opts_assertions, opts_routines "
       ." WHERE "
       ."       opts_run.run_id = opts_run_results.res_run"
       ." AND   opts_run_results.res_testcase = opts_version_descriptions.descr_id"
       ." AND   opts_version_descriptions.descr_version = opts_versions.ver_id"
       ." AND   opts_version_descriptions.descr_assert = opts_assertions.assert_id"
       ." AND   opts_assertions.assert_routine = opts_routines.rou_id"
       ." AND res_run=".$_GET["run_id"]." AND res_testcase=".$_GET["testcase_id"];

$restotal = db_execute_select($sql);

if (!$restotal)
	die("<p><b>No corresponding testcase found.</b></p>\n</body></html>\n");	

$res=$restotal[0];
?>
<table border="1" width="100%">
  <tr>
    <td valign="top" align="center"><b>Testsuite</b></td>
    <td valign="top" align="center"><?php echo stringFromDB($res["ver_name"]); ?></td>
    <td valign="top"><i><?php echo stringFromDB($res["ver_comment"]); ?></i>&nbsp;</td>
  </tr>
  <tr>
    <td valign="top" align="center"><b>Run</b></td>
    <td valign="top" align="center"><?php echo stringFromDB($res["run_name"]); ?></td>
    <td valign="top"><i><?php echo stringFromDB($res["run_comments"]); ?></i>&nbsp;</td>
  </tr>
  <tr>
    <td valign="top" align="center"><b>Routine</b></td>
    <td valign="top" align="center"><?php echo stringFromDB($res["rou_name"]); ?></td>
    <td valign="top"><i><?php echo stringFromDB($res["rou_comment"]); ?></i>&nbsp;</td>
  </tr>
  <tr>
    <td valign="top" align="center"><b>Testcase</b></td>
    <td valign="top" align="center"><?php echo stringFromDB($res["descr_info"]); ?></td>
    <td valign="top"><?php echo stringFromDB($res["assert_text"]); ?>&nbsp;</td>
  </tr>
  <tr>
    <td valign="top" align="center"><b>Status</b></td>
    <td valign="top" align="center"><?php
$font=0;
if (ereg("PASS", $res["res_status"]))
{
	echo "<font color='green'>";
	$font=1;
}
if (ereg("FAIL", $res["res_status"]))
{
	echo "<font color='red'>";
	$font=1;
}
echo stringFromDB($res["res_status"]); 
if ($font) echo "</font>";
                                                             ?></td>
    <td valign="top"><pre><?php echo strip_tags(stringFromDB($res["res_log"])); ?> </pre></td>
  </tr>
</table>
<?php
db_fini();
require($root."footer.inc.php");
?>
   
    
