# This file is for building an RPM of the tslogparser tool.
# Rename this file to: %{name}-%{version}-%{release}.spec
#             example: tslogparser-0.4-1.spec
# Mail to tslogparser-discuss@lists.sourceforge.net for bugs & all.
#
# To regenerate an rpm, just issue:
# rpmbuild --target noarch-redhat-linux -ta tslogparser-*.tar.gz 

%define name tslogparser
%define version 0.6
%define release 2
%define filename tslogparser-v06

%define tslp_user tslogparser
%define tslp_group tslogparser

%define path_tslp /var/www/tslogparser
%define path_conf /etc
%define path_httpd_conf /etc/httpd/conf.d

Summary: 	Web interface wrapper for test suites runs logfiles.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Development/Tools
Source: 	%{filename}.tar.gz
BuildRoot: 	/tmp/tslp
Url:		http://tslogparser.sourceforge.net

%description
The %{name} tool is a php/MySQL interface to store and browse some
test suites log files (such as those issued from the Open POSIX Test Suite
runs) in a more user-friendly interface.

See http://tslogparser.sourceforge.net for more information.


%prep
# untar the archive
%setup -n %{filename}

%build
# nothing to do here...

%install
rm -rf $RPM_BUILD_ROOT
%__mkdir_p $RPM_BUILD_ROOT%{path_conf}
%__mkdir_p $RPM_BUILD_ROOT%{path_httpd_conf}
%__mkdir_p $RPM_BUILD_ROOT%{path_tslp}/admin/modules
%__mkdir_p $RPM_BUILD_ROOT%{path_tslp}/db
%__mkdir_p $RPM_BUILD_ROOT%{path_tslp}/ts
%__cp *.php $RPM_BUILD_ROOT%{path_tslp}
%__cp admin/*.php $RPM_BUILD_ROOT%{path_tslp}/admin
%__cp admin/modules/*.php $RPM_BUILD_ROOT%{path_tslp}/admin/modules
%__cp db/*.php $RPM_BUILD_ROOT%{path_tslp}/db
%__cp package/tslogparser.conf $RPM_BUILD_ROOT%{path_httpd_conf}
%__cp package/tslogparser.conf.php $RPM_BUILD_ROOT%{path_conf}


%clean
rm -rf $RPM_BUILD_ROOT

# Add tslogparser user & group
%pre
finger %{tslp_user}|grep "Login.*%{tslp_user}" > /dev/null
if [ $? -ne 0 ]; 
then
    /usr/sbin/groupadd %{tslp_group};
    /usr/sbin/useradd -c 'tslogparser owner' -d %{path_tslp} -r -g %{tslp_group} %{tslp_user};
else echo "tslogparser user already exists - skipped";
fi


# Restart Apache
%post
/etc/rc.d/init.d/httpd restart

%postun
/etc/rc.d/init.d/httpd restart


%files
%defattr(-,%{tslp_user},%{tslp_group})
%doc FAQ HISTORY INSTALL LICENCE README TODO USAGE admin/modules/readme.txt admin/modules/ltp.mod.php.example
%attr(0440,root,root) %config %{path_httpd_conf}/tslogparser.conf 
%config %{path_conf}/tslogparser.conf.php

%{path_tslp}
%attr(0777,%{tslp_user},%{tslp_group}) %dir %{path_tslp}/ts

# The version changes do not appear here
%changelog
* Mon Feb 07 2005 Sebastien Decugis <sebastien.decugis@ext.bull.net>
- Changed 'ts' directory rights to '0777' to allow upload in this directory.

* Wed Jan 26 2005 Sebastien Decugis <sebastien.decugis@ext.bull.net>
- Added 'ts' directory and appropriate rights.

* Fri Jan 21 2005 Sebastien Decugis <sebastien.decugis@ext.bull.net>
- initial spec file for tslogparser release v04


