<?php
/*
 * Copyright (c) 2005, Bull S.A..  All rights reserved.
 * Created by: Sebastien Decugis

 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc., 59
 * Temple Place - Suite 330, Boston MA 02111-1307, USA.
 */

/* We don't really care about security yet, so
  the default session handler is suitable for us.
   If one want to add better security, a good 
  start is the php manual.
*/
session_start();

/* Below is a definition of authorized session variables
for each user page. If a session variable is found out of this
definition, it is unset. 

The format is 
$authorized_session_vars["variable"]=array("page1","page2"...);
where variable is the session variable name (key in $_SESSION)
and page1, page2 the pages where this variable is allowed.

*/
$authorized_session_vars=array(
	"module"=>array("run-browse.php"),
	);


/* Below is the mechanism which will delete unauthorized sessions vars */
foreach ($_SESSION as $var => $authorization)
{
	if (!isset($authorized_session_vars[$var]))
	{
		unset($_SESSION[$var]);
		continue;
	}
	if (!in_array(basename($_SERVER["PHP_SELF"]),$authorized_session_vars[$var]))
	{
		unset($_SESSION[$var]);
	}
}
?>

